.progress-bar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 3px;
  margin: 0;
  z-index: 99999;
  background-color: #999;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1) inset;
}

/* 运用渐变色实现 */
.gradient {
  background: linear-gradient(to right, #FF0080, #FF8C00, #00FF7F);
}

/* 运用动画效果实现 */
.animation {
  height: 3px;
  background-color: #aaa;
  opacity: .5;
  animation: progress-animation 2s linear infinite;
}

@keyframes progress-animation {
  0% {
    transform: scaleX(0) translateX(-100%);
  }
  
  50% {
    transform: scaleX(1) translateX(0%);
  }

  100% {
    transform: scaleX(0) translateX(100%);
  }
}

/* 使用黑色、白色、红色、绿色和黄色的渐变来创建进度条 */
.rainbow {
  height: 3px;
  background: repeating-linear-gradient(-45deg, 
    black, white, red, green, yellow
  );
  animation: progress-animation2 10s infinite;
}

@keyframes progress-animation2 {
  from {
    background-position: 0 0;
  }
  to {
    background-position: 250% 0;
  }
}

h1, p {
  margin: 20px;
}